# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
import base64
import tools
from crm import crm
from osv import fields
from osv import osv
from tools.translate import _

class mrp_production_calidad(osv.osv):
    _name='mrp.production.calidad'
    
    _columns = {
        'name':fields.many2one('mrp.production', 'Produccion', required=True),
        'folio':fields.char('Folio', size=64, readonly=True),
        'date':fields.date('Fecha'),
        'calidad_leche_ids':fields.one2many('calidad.calidad', 'production_id', 'Calidad Leche Cruda'),
        'calidad_grasa_ids':fields.one2many('calidad.grasa.requerido', 'production_id', 'Calidad Grasa Requerido'),
        'calidad_analisis_ids':fields.one2many('calidad.analisis', 'production_id', 'Calidad Analisis'),
        'calidad_monitoreo_ids':fields.one2many('calidad.monitoreo', 'production_id', 'Calidad Monitoreo'),
        'calidad_maduracion_ids':fields.one2many('calidad.maduracion.yoghurt', 'production_id', 'Calidad Maduracion Yoghurt'),
        'calidad_materia_ids':fields.one2many('calidad.materia.prima', 'production_id', 'Calidad Materia Prima'),
    }
mrp_production_calidad()