from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from tools.misc import UpdateableStr, UpdateableDict
from osv import osv
import time
from tools.translate import _

_moves_arch = UpdateableStr()
_moves_fields = UpdateableDict()

_form ='''<?xml version="1.0"?>
<form string="Explosionador">
</form>'''

_form2 ='''<?xml version="1.0"?>
<form string="Sustituir Producto">
    <field name="lista_id"/>
    <newline/>
    <field name="listas_ids"/>
</form>'''



_fields ={}

_fields2 ={
    'lista_id': {'string':'Lista Material', 'type':'many2one','relation':'mrp.bom'},
    'listas_ids': {'string':'Listas', 'type':'many2many', 'relation': 'mrp.remplaza','domain':"[('product_id','=',product_id)]"},
}


def _explota(self, cr, uid, data, context):
    obj = pooler.get_pool(cr.dbname).get('mrp.production')
    lines= pooler.get_pool(cr.dbname).get('explosiona.line')
    expo= pooler.get_pool(cr.dbname).get('explosiona')
    mrp = pooler.get_pool(cr.dbname).get('mrp.bom')
    obj_line = pooler.get_pool(cr.dbname).get('mrp.production.product.line')
    res = {}
    resul = {}
    results=[]
    nombre=''
    productos=''
    primer=0
    for orden in obj.browse(cr,uid,data['ids']):
        nombre+=orden.name+'+'
        productos+=orden.product_id.name+'++'
        bom_point = orden.bom_id
        bom_id = orden.bom_id.id
        if not bom_id:
            raise osv.except_osv(_('Error'), _("Couldn't find bill of material for product"))
        #if bom_point.routing_id and bom_point.routing_id.location_id:
        #   self.write(cr, uid, [production.id], {'location_src_id': bom_point.routing_id.location_id.id})
        pos=0
        if bom_id:
            factor = orden.product_qty * orden.product_uom.factor / bom_point.product_uom.factor
            res = mrp._bom_explode(cr, uid, bom_point, factor / bom_point.product_qty , properties=[])
            results.append(res[0])
    explosiona=pooler.get_pool(cr.dbname).get('explosiona').create(cr,uid,{'name':nombre,'productos':productos},context)
    #pooler.get_pool(cr.dbname).get('explosiona').write(cr,uid,explosiona,{'name':explosiona},context)
    #lines.create(cr,uid,compara,context)
    #explo=expo.browse(cr,uid,[explosiona],context)[0]
    for l in results:
        for l2 in l:
            l2['explo_id']=explosiona
            lines.create(cr,uid,l2,context)
    
    for explo in expo.browse(cr,uid,[explosiona],context):
        explo=expo.browse(cr,uid,[explosiona],context)[0]
        for linea in explo.lineas_ids:
            sum=linea.product_qty
            for compara in explo.lineas_ids:
                if linea.id==compara.id:
                    break
                else:
                    if linea.product_id.id==compara.product_id.id:
                        sum+=compara.product_qty
                        lines.write(cr,uid,linea.id,{'product_qty':sum})
                        lines.unlink(cr,uid,compara.id)
    
    return {
            'domain': "[('id','in', ["+','.join(map(str,[explosiona]))+"])]",
            'name': 'Explosiones',
            'view_type': 'form',
            'view_mode': 'tree,form',
            'res_model': 'explosiona',
            'view_id': False,
            'type': 'ir.actions.act_window'
        }


class wizard_eplosionador(wizard.interface):
    
    states = {
        
        'init': {
            'actions': [],
            'result': {
                'type': 'form', 
                'arch': _form, 
                'fields':_fields,
                'state' : (('end', 'Cancel', 'gtk-cancel'),('actualizar', 'Explosionar', 'gtk-ok', True) )
            },
        },
        
        
        'actualizar': {
            'actions': [],
            'result': {
                'type': 'action',
                'state': 'end',
                'action':_explota
            },
        },
        
    }
    
wizard_eplosionador('wizard.eplosionador')