# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from tools.misc import UpdateableStr, UpdateableDict
from osv import osv
import time
import math

form_start ='''<?xml version="1.0"?>
<form string="Verificacion de Disponibilidad de leche">
    <label string="Verificar la disponibilidad de leche?" colspan="4"/>
</form>
'''

form_finish ='''<?xml version="1.0"?>
<form string="Verificacion de Disponibilidad de leche">
    <image name="gtk-dialog-info" colspan="2"/>
    <group colspan="2" col="4">
        <label string="La distribucion de leche en la semana es correcta!!!" colspan="4"/>
    </group>
</form>
'''

_fields ={}

def _verifica_leche(self, cr, uid, data, context):
    sugerido_obj = pooler.get_pool(cr.dbname).get('mrp.sugerido')
    sugerido_obj.check_leche(cr, uid, data['ids'], context=context)
    return {}


class wizard_verifica_leche(wizard.interface):
    states = {
        'init' : { 'actions': [],
            'result': { 'type': 'form', 'arch': form_start, 'fields': _fields, 'state': [ ('end', 'Cancel', 'gtk-cancel', True), ('confirm', 'Confirm', 'gtk-ok', True)]},
        },
        'confirm' : { 'actions' : [],
            'result' : {'type': 'action', 'action': _verifica_leche, 'state': 'finish'},
        },
        'finish' : { 'actions' : [],
            'result' : {'type': 'form', 'arch': form_finish, 'fields': {}, 'state':[('end', 'Aceptar', 'gtk-ok', True)] }
        },
    }
wizard_verifica_leche('wizard.verifica.leche')